View Issue Details

IDProjectCategoryView StatusLast Update
0022347mantisbtfilterspublic2017-02-26 21:17
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.1.1Fixed in Version2.1.1 
Summary0022347: Filter allows to sort on non sortable fields
Description

The filter form allows to sort on these non sortable fields:

  • additional_information
  • description
  • notes
  • steps_to_reproduce

By Doing this, a database error occurs, as described in the case of "tags" fields in 0021592

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master-2.1 40b62c37

2017-02-08 16:50:52

cproensa


Committer: vboctor Details Diff
Update non sortable columns list

Add these columns to the non-sortable column list:
additional_information
description
notes
steps_to_reproduce

Fixes: 0022347
mod - core/columns_api.php Diff File

Issue History

Date Modified Username Field Change
2017-02-08 16:54 cproensa New Issue
2017-02-08 16:54 cproensa Status new => assigned
2017-02-08 16:54 cproensa Assigned To => cproensa
2017-02-08 17:11 cproensa Note Added: 0055598
2017-02-11 14:56 vboctor Changeset attached => MantisBT master-2.1 40b62c37
2017-02-11 14:56 vboctor Assigned To cproensa => vboctor
2017-02-11 14:56 vboctor Status assigned => resolved
2017-02-11 14:56 vboctor Resolution open => fixed
2017-02-12 05:38 atrol Assigned To vboctor => cproensa
2017-02-12 05:39 atrol Fixed in Version => 2.1.1
2017-02-12 05:39 atrol Target Version => 2.1.1
2017-02-26 21:17 vboctor Status resolved => closed